<?php 
    //Data, connection, auth
    $soapUrl = "https://certtransaction.elementexpress.com";
    
    // xml post structure

    $xml_post_string = '<?xml version="1.0" encoding="utf-8"?> 
        <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
        xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
        xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> 
        <soap:Body> 
        <CreditCardSale xmlns="https://certtransaction.elementexpress.com"> 
            <credentials> 
                <AccountID>1078998</AccountID> 
                <AccountToken>FF55EA3B1E2759C5123733E1966D1BA998B2D973C4CE8B848ABB5266ECB854E654A4E001</AccountToken> 
                <AcceptorID>874767680</AcceptorID> 
            </credentials> 
            <application> 
                <ApplicationID>10199</ApplicationID> 
                <ApplicationVersion>1.0</ApplicationVersion> 
                <ApplicationName>LockTrust</ApplicationName> 
            </application> 
            <terminal> 
                <TerminalID>01</TerminalID>
                <CardholderPresentCode>7</CardholderPresentCode>
                <CardInputCode>4</CardInputCode>
                <TerminalCapabilityCode>5</TerminalCapabilityCode>
                <TerminalEnvironmentCode>6</TerminalEnvironmentCode>
                <CardPresentCode>3</CardPresentCode>
                <MotoECICode>7</MotoECICode>
                <CVVPresenceCode>1</CVVPresenceCode>
            </terminal> 
            <card> 
                <CardNumber>4895281000000006</CardNumber> 
                <ExpirationMonth>12</ExpirationMonth> 
                <ExpirationYear>25</ExpirationYear> 
            </card> 
            <transaction> 
                <TransactionAmount>10</TransactionAmount> 
                <MarketCode>Retail</MarketCode> 
                <ReferenceNumber>1234567890000000</ReferenceNumber> 
                <TicketNumber>1234567</TicketNumber> 
            </transaction> 
        </CreditCardSale> 
        </soap:Body> 
        </soap:Envelope>';

    $headers = array(   "Content-type: text/xml;charset=\"utf-8\"",
                 "Accept: text/xml",
                 "Cache-Control: no-cache",
                 "Pragma: no-cache",
                 //"SOAPAction: http://connecting.website.com/WSDL_Service/GetPrice", 
                 "Content-length: ".strlen($xml_post_string),
             ); //SOAPAction: your op URL

    $url = $soapUrl;

    // PHP cURL  for https connection with auth
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 1);
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_ANY);
    curl_setopt($ch, CURLOPT_TIMEOUT, 10);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $xml_post_string); // the SOAP request
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

    $response = curl_exec($ch); 
    curl_close($ch);

    $response1 = str_replace("<soap:Body>","",$response);
    $response2 = str_replace("</soap:Body>","",$response1);

    $parser = simplexml_load_string($response2);
    
    echo "<pre>";
    print_r($parser);    
    
?>